#!/bin/sh

# Mumble (Murmur) install on Debian 11

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server. Leaving this blank will make the server public.
SERVER_PASSWORD='SET_A_PASSWORD_HERE_IF_YOU_WANT'

# Disable UFW (Cloud provider firewall will suffice)
systemctl stop ufw
systemctl disable ufw

# Install Murmur/mumble-server
apt update -y
apt install -y mumble-server

# OPTIONAL - Manually set DH from 2048 to 4096, manually generate SSL cert with 4096 RSA.
# If you just ignore this, mumble will do it's default DH 2048 and generate an SSL cert with 2048 RSA.
openssl req -x509 -nodes -days 365 -subj '/CN=mumbleserver/O=mumbleserver/C=SG' -newkey rsa:4096 -keyout /etc/ssl.key -out /etc/ssl.crt
chmod 644 /etc/ssl.crt
chmod 644 /etc/ssl.key
sed -i -e 's/;sslCert=/sslCert=ssl.crt/g' /etc/mumble-server.ini
sed -i -e 's/;sslKey=/sslKey=ssl.key/g' /etc/mumble-server.ini

# OPTIONAL - Increase bandwidth limit to 256Kbps instead of default 72Kbps
# sed -i -e "s/bandwidth=72000/bandwidth=256000/g" /etc/mumble-server.ini

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server
# sed -i -e "s/serverpassword=/serverpassword=$SERVER_PASSWORD/g" /etc/mumble-server.ini

# Start/restart Mumble server
systemctl restart mumble-server
